GET /v1/networks
Get a paginated list of IPv4-only networks.
Deprecated: Use
GET /v2/networksinstead.
Token scope required: networks:list
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”If true, return count of total records and current page start and count in metadata
Cursor value at which to start the results, provided in nextCursor or prevCursor of a prior request
Example
bmV4dA.eyJsb2dzLmNyZQ5iIiwiX3ZhbHVlIjo9In19Number of records to return in each page
Order in which to return results. Each endpoint sorts on its own key (for example, hosts by
name and audit logs by creation time). Matching is case-insensitive, and any value other than
desc sorts ascending.
Responses
Section titled “ Responses ”Successful operation
object
object
The ID of the Certificate Authority being used.
Cryptographic curve used by the network’s certificates. Known values are 25519 and P256. New values may be added, so clients should accept values not listed here.
object
The total number of resources existing in the account. Only present when includeCounts is true.
Is there a page of data that can be fetched using the nextCursor?
Is there a page of data that can be fetched using the prevCursor?
An opaque string that can be used to fetch the next page of results. Not provided if result set is empty.
An opaque string that can be used to fetch the previous page of results. Not provided if result set is empty.
Only present when includeCounts is true.
object
The number of results returned in the response.
The zero-based index of the first result within the overall list. For example, the first page will have a start of 0. If 25 results are fetched, and the nextCursor used to fetch a new page of results, the second request’s start will be 25.
Examples
When includeCounts parameter is not set to true
{ "data": [ { "cidr": "100.100.0.0/22", "id": "network-ZJOW3QUQUX5ZAVPVYRHDQUAEIY", "organizationID": "org-F63A24JGCLJV3ZEUTLCBISGETA", "signingCAID": "ca-TRJSVAAAPJXTOICJMG2KZBKQEE", "name": "Network1", "description": "", "hostCount": 5, "lighthousesAsRelays": false, "curve": "25519", "createdAt": "2023-02-14T20:34:59Z" } ], "metadata": { "hasNextPage": true, "hasPrevPage": true, "nextCursor": "bmV4dA.bHVlIjoieGJVS0UvYkRjQmZsY1pUbGJCc", "prevCursor": "cHJldg.SI6ImIiLCJfdmFsdWUiOiI0dDVuREQreU" }}Metadata returned when including request params for includeCounts=true, pageSize=1, and cursor="somevalue".
{ "data": [ { "cidr": "100.100.0.0/22", "id": "network-ZJOW3QUQUX5ZAVPVYRHDQUAEIY", "organizationID": "org-F63A24JGCLJV3ZEUTLCBISGETA", "signingCAID": "ca-TRJSVAAAPJXTOICJMG2KZBKQEE", "name": "Network1", "description": "", "hostCount": 5, "lighthousesAsRelays": false, "curve": "25519", "createdAt": "2023-02-14T20:34:59Z" } ], "metadata": { "totalCount": 500, "hasNextPage": true, "hasPrevPage": true, "nextCursor": "bmV4dA.bHVlIjoieGJVS0UvYkRjQmZsY1pUbGJCc", "prevCursor": "cHJldg.SI6ImIiLCJfdmFsdWUiOiI0dDVuREQreU", "page": { "count": 1, "start": 5 } }}The API key is missing, invalid or expired.
object
object
A static name for the error type
A short human readable description of the error
Describes the variable missing or malformed
The query parameter the error relates to, such as filter.targetType
Machine-readable details about the error. ERR_LIMIT_EXCEEDED errors carry limit and limitName.
object
The maximum number of resources allowed
The kind of resource the limit applies to
Example
{ "errors": [ { "code": "ERR_UNAUTHORIZED", "message": "unauthorized" } ]}The API key lacks a required scope.
object
object
A static name for the error type
A short human readable description of the error
Describes the variable missing or malformed
The query parameter the error relates to, such as filter.targetType
Machine-readable details about the error. ERR_LIMIT_EXCEEDED errors carry limit and limitName.
object
The maximum number of resources allowed
The kind of resource the limit applies to
Examples
The API key lacks a required scope.
{ "errors": [ { "code": "ERR_FORBIDDEN", "message": "api key must support the following scopes: hosts:read" } ]}The organization has exceeded its API request rate limit. Retry the request after a short delay.
object
object
A static name for the error type
A short human readable description of the error
Describes the variable missing or malformed
The query parameter the error relates to, such as filter.targetType
Machine-readable details about the error. ERR_LIMIT_EXCEEDED errors carry limit and limitName.
object
The maximum number of resources allowed
The kind of resource the limit applies to
Example
{ "errors": [ { "code": "ERR_TOO_MANY_REQUESTS", "message": "too many requests" } ]}